View Issue Details

IDProjectCategoryView StatusLast Update
00299482.x IDE BugsSound EditorPublic2019-05-16 12:04
ReporterMatthew McInnesAssigned ToSteven Campbell 
PriorityVery HighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.5 
Target Version2.2.0Fixed in Version2.2.0 
Summary0029948: Sound Editor: Resources not opening within the workspace for a small number of users
DescriptionISSUE:

- A few tickets have come through whereby users are unable to open sounds within the workspace. We have not been able to reproduce the issue here, but it seems like sounds play as expected in-game, and can be dragged from outside the IDE, into the resource tree as expected.
- Important to note that one of the users is able to open a sound once, but cannot subsequent times.

EXPECTED:

- Double clicking a sound from the resource tree, should open a sound window within the workspace
Additional InformationIt is just a theory at the minute, but we wonder if the users have AV installed on their system, that is blocking the file from being opened and used. I have asked the customers to confirm if they are using any AV.
TagsIDE, soundeditor
2.x IDE Found In2.1.5.322
2.x Runtime Found In2.1.5.246
2.x IDE Verified In2.2.0.341
2.x Runtime Verified In2.2.0.258

Activities

Dan

2018-08-22 11:02

Adminstrator   ~0061328

One of our reports was from a user on El Capitan on Mac. El Capitan is not supported, and they resolved their issue with an update of their macOS (to High Sierra).

Steven Campbell

2018-09-05 10:13

Manager   ~0061505

Fixed in Red IDE/GitHub Pull Request 4272
Git Id: 3ac052fb0b5f410c82194b48edeb4f68bbded8ae

Steven Campbell

2018-09-05 10:13

Manager   ~0061506

Last edited: 2018-12-04 17:45

View 2 revisions

Note: This should allow the Sound Editor to appear regardless of the FFmpegWrapper and dependencies are found or not, but will not allow sound playback.
It'll warn the user that there could be a bad install or overzealous virus scanner.

For reference, the required DLLs are as follows.

Should all be in your GMS2 installation folder (if any of these are missing and you can't restore them - e.g, from an antivirus quarantine - you will need to reinstall GMS2):
FFmpegWrapper.dll (Made by YoYo)
avcodec-58.dll (Made by FFmpeg - v4.0.2)
avformat-58.dll (Made by FFmpeg - v4.0.2)
avutil-56.dll (Made by FFmpeg - v4.0.2)
swresample-3.dll (Made by FFmpeg - v4.0.2)

Should be in your Windows\System32 folder:
MSVCP140.dll (Microsoft Visual C++ 2015 Runtime - if this is missing install vc_redist.x64.exe from https://www.microsoft.com/en-us/download/details.aspx?id=52685 )
VCRUNTIME140.dll (Microsoft Visual C++ 2015 Runtime - as above)

Dan

2018-10-01 13:59

Adminstrator   ~0061689

Message is now in, so Closing. Note that it has a typo with it's/its (bugged separately). Appears only once per IDE session.

Note that the 100% repro above is for the "use case" of deliberately sabotaging your install by renaming/deleting ffmepgwrapper.dll - we have not yet fully determined why this issue affects some customers.